安装sun-java5-jdk 出现错误,譔怎么解决呀?

为当前最终发行版之前的所有版本提供支持
回复
cnye
帖子: 3
注册时间: 2006-08-30 23:09
送出感谢: 0
接收感谢: 0

安装sun-java5-jdk 出现错误,譔怎么解决呀?

#1

帖子 cnye » 2006-08-30 23:13

cnye@ubuntu:~$ sudo apt-get install sun-java5-jdk
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
有一些软件包无法被安装。如果您用的是不稳定发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
sun-java5-jdk: 依赖: sun-java5-jre (= 1.5.0-06-1) 但是它将不会被安装
依赖: sun-java5-demo (= 1.5.0-06-1) 但是它将不会被安装
E: 无法安装的软件包

cnye@ubuntu:~$ sudo apt-get install sun-java5-jre
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
sun-java5-jre: 依赖: sun-java5-bin (= 1.5.0-06-1) 但是它将不会被安装 或
ia32-sun-java5-bin (= 1.5.0-06-1) 但却无法安装它
E: 无法安装的软件包

cnye@ubuntu:~$ sudo apt-get install sun-java5-bin
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
sun-java5-bin: 依赖: unixodbc 但却无法安装它
E: 无法安装的软件包


都不知道该怎么办呢,各位帮帮忙呀
头像
patrickhe
帖子: 681
注册时间: 2005-07-21 19:13
来自: Peking, China
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 patrickhe » 2006-08-30 23:21

你的系统是什么版本?
cnye
帖子: 3
注册时间: 2006-08-30 23:09
送出感谢: 0
接收感谢: 0

#3

帖子 cnye » 2006-08-30 23:24

Ubuntu 6.06的
头像
glade
帖子: 1383
注册时间: 2005-10-21 16:57
送出感谢: 0
接收感谢: 0

#4

帖子 glade » 2006-08-31 2:00

你照dapper快速设置指南设置了sources.list了么
头像
patrickhe
帖子: 681
注册时间: 2005-07-21 19:13
来自: Peking, China
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 patrickhe » 2006-08-31 14:09

我用 vmmatrix.net 装的 sun-java5-jdk,你可以试一试。
cnye
帖子: 3
注册时间: 2006-08-30 23:09
送出感谢: 0
接收感谢: 0

#6

帖子 cnye » 2006-08-31 22:15

设置sources.list了
haiyupeter
帖子: 19
注册时间: 2009-10-30 0:29
送出感谢: 0
接收感谢: 0

Re: 安装sun-java5-jdk 出现错误,譔怎么解决呀?

#7

帖子 haiyupeter » 2010-06-02 23:02

jdk 1.5在ubuntu 9.10的source里已经drop掉了。

1. 修改sources.list,将9.10的源改成9.04的源。

ubuntu 9.04 的source list可以在网上找到很多,我参考的是这个http://blog.sina.com.cn/s/blog_4895289e0100dn2c.html

用的来自澳大利亚 optus.net 的ubuntu 更新服务器 (全国通用,经测试速度挺快):

deb http://mirror.optus.net/ubuntu/ jaunty main restricted universe multiverse
deb http://mirror.optus.net/ubuntu/ jaunty-security main restricted universe multiverse
deb http://mirror.optus.net/ubuntu/ jaunty-updates main restricted universe multiverse
deb http://mirror.optus.net/ubuntu/ jaunty-proposed main restricted universe multiverse
deb http://mirror.optus.net/ubuntu/ jaunty-backports main restricted universe multiverse
deb-src http://mirror.optus.net/ubuntu/ jaunty main restricted universe multiverse
deb-src http://mirror.optus.net/ubuntu/ jaunty-security main restricted universe multiverse
deb-src http://mirror.optus.net/ubuntu/ jaunty-updates main restricted universe multiverse
deb-src http://mirror.optus.net/ubuntu/ jaunty-proposed main restricted universe multiverse
deb-src http://mirror.optus.net/ubuntu/ jaunty-backports main restricted universe multiverse

先把9.10的sources.list备份一下:

cd /etc/apt

sudo cp sources.list sources.list_9.10



sudo vi sources.list

把里面的内容都删掉,换为上面找到的源





2. 切换到9.04的源

sudo apt-get update

3. update之后,用

sudo apt-get install sun-java5-jdk 即可安装java 1.5





4. 安装后进行设置:

sudo update-alternatives --config java

sudo update-java-alternatives -s java-1.5.0-sun

这时候再用java -version就能看到java 1.5已经正常工作了



5. 最后不要忘记把源换回9.10的

sudo cp sources.list_9.10 sources.list
回复

回到 “老旧版本支持”